Bug 639121 - Lightbox dialog state is not reset when the dialog is closed
Summary: Lightbox dialog state is not reset when the dialog is closed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 693781 747120
TreeView+ depends on / blocked
 
Reported: 2010-09-30 21:10 UTC by Ryan McCabe
Modified: 2016-04-26 14:22 UTC (History)
4 users (show)

Fixed In Version: luci-0.23.0-32.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 10:06:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1510 normal SHIPPED_LIVE luci bug fix update 2011-12-06 00:39:20 UTC

Description Ryan McCabe 2010-09-30 21:10:41 UTC
In all of the lightbox dialogs, if changes are made, then the dialog is closed, the dialog is not reset, but merely hidden. If the dialog is reopened, it is in the state it was when it was closed. In the case of multi-step dialogs, the only way to reset the state of the dialog is to refresh the page in the browser.

Comment 12 Jan Pokorný [poki] 2011-08-25 16:34:20 UTC
Trying luci-0.23.0-20.el6, I checked the effect with "Add Existing Cluster"
and "Create new cluster" dialogs.  Editing one or more fields and pressing
"Cancel" button, then triggering respective dialog again, the dialog
appeared again in its default/empty state.

However, pressing ESC key to achieve the same "cancel dialog" effect, dialogs
suffer from the title issue.

Comment 21 errata-xmlrpc 2011-12-06 10:06:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1510.html


Note You need to log in before you can comment on or make changes to this bug.